Hey there

I have to add backported drivers to my 5.15 kernel source in order to create a embedded Linux on kernel 5.15 compatible with newer devices like 5ghz wifi dongles.

I understood that I have to use this command:

Python3 ./ gentree --integrate --clean /path/to/linux-next /path/to/my/5.15-kernel-source-git

But it fails stating it wanted to copy a file from new linux that only exists in the old linux

Have I understood that wrong?

Edit: it says it does not find …/lib/memneq.c which seems not existing there at least since 6.2 🤔

Edit2: I fear that it only backports 5.15 drivers to even older kernels 😮 so, I think I have to integrate lwfinger‘s rtw88 backport into my 5.15 kernel sources, somehow, after all

https://backports.wiki.kernel.org/index.php/Documentation/integration

  • Petter1@lemm.eeOP
    link
    fedilink
    arrow-up
    1
    ·
    3 days ago

    Well, turns out, it just works 😍👌🏻 just overwrite all the c and h files and the makefile and it will just build 🥳 and work (tested on 5.19.137)